Retrieve the storage profile for a User
GET
https://api.neuroscale.io/v2.0/users/{user-id}/storage
Path parameters¶
| Name | Type | Description |
|---|---|---|
user-id |
String | Unique identifier of the User or self. |
To access the personal NeuroScale storage container for a User, simply copy and paste the connection_string retrieved from the User's Storage Profile into the Microsoft Azure Storage Explorer.
The Storage Profile resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| account_name | String | Name of the storage account. |
| connection_string | String | Encodes the account_name, the container_name and the credentials into a single string that can be copied and pasted directly into the Microsoft Azure Storage Explorer. |
| container_name | String | Name of the storage container. |
| credentials | String | Shared access signature (SAS) token granting full read and write permissions for downloading and uploading files/folders from/to the storage container. |
Authentication¶
Type: Access token
Required scopes: user or read:user
Responses¶
Example response — 200¶
{
"account_name": "neuroscale",
"connection_string": "https://neuroscale.blob.core.windows.net/z7boav6j9gbyvarht6rwkm?sr=c&si=full-access-20160625-013458&sig=Bjln5%2BfrgnkvcsPK7LPfwWovc2QqhvRTg1EcKsQNygE%3D&sv=2015-07-08",
"container_name": "z7boav6j9gbyvarht6rwkm",
"credentials": "sr=c&si=full-access-20160625-013458&sig=Bjln5%2BfrgnkvcsPK7LPfwWovc2QqhvRTg1EcKsQNygE%3D&sv=2015-07-08"
}